Bug 89907 - Text to columns only affects first line when width is auto set
Summary: Text to columns only affects first line when width is auto set
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:5.0.4 target:6.1.0
Keywords:
Depends on:
Blocks: Matters-to-Caolan
  Show dependency treegraph
 
Reported: 2015-03-09 12:53 UTC by Oliver Haessler
Modified: 2018-05-07 04:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test_file (15.66 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-03-09 12:53 UTC, Oliver Haessler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Haessler 2015-03-09 12:53:12 UTC
Created attachment 113992 [details]
test_file

Text to columns only affects first line when width is auto set (double click in between 2 cell headers)

to reproduce :
1. open the attached LO file
2. mark the column A by clicking on "A"
3. double click between column A and B to set the size of column A to match the longest line
4. click Data > Text to columns

You can see only the first line is considered, however LO still shows the whole column marked.

If you do not do step 3, the whole column is considered as it should be.
Comment 1 raal 2015-03-09 19:25:37 UTC
I can confirm with Version: 4.4.2.0.0+
Build ID: 3e3f0f5c3051ea982f8f753e0f3e51441e8f9496
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2015-02-22_10:24:01

LibreOffice 3.5.0 
Build ID: d6cde02

I can confirm with 4.4.1.2, win7.
Comment 2 Commit Notification 2015-11-17 13:50:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1225d60af08ed874ed72066ae0320617d4c8a91

Resolves: tdf#89907 do not modify original ScViewData's ScMarkData

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2015-11-17 14:02:26 UTC
Pending review for 5-0 https://gerrit.libreoffice.org/20020
Comment 4 Commit Notification 2015-11-20 02:06:26 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9b6f836e58aa3ad1dc6120df89c4001dc7d3091&h=libreoffice-5-0

Resolves: tdf#89907 do not modify original ScViewData's ScMarkData

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-05-07 04:34:22 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a5afd0cdd2b28fbdb67ec84c9f03fd9dc50eca5

uitest for bug tdf#89907

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.